Subject: Re: [bitcoin-dev] [BIP Draft] Allow zero value OP_RETURN in Payment Protocol

From: Luke Dashjr <[email-masked]>
Date: Tue, 26 Jan 2016 02:56:54 +0000

On Tuesday, January 26, 2016 2:54:16 AM Toby Padilla wrote:
> Luke - As stated in the Github thread, I totally understand where you're
> coming from but the fact is people *will* encode data on the blockchain
> using worse methods. For all of the reasons that OP_RETURN was a good idea
> in the first place, it's a good idea to support it in PaymentRequests.

As I explained, none of those reasons apply to PaymentRequests.

> As for keyless - there's no way (that I know of) to construct a transaction
> with a zero value OP_RETURN in an environment without keys since the
> Payment Protocol is what defines the method for getting a transaction from
> a server to a wallet. You can make a custom transaction and execute it in
> the same application but without Payments there's no way to move
> transactions between two applications. You need to build the transaction
> where you execute it and thus need a key.

I have no idea what you are trying to say here.

Luke